Package com.orchestranetworks.workflow

# Enum Class PublicationSpec.PublicationMode

java.lang.Object
java.lang.Enum<PublicationSpec.PublicationMode>
com.orchestranetworks.workflow.PublicationSpec.PublicationMode

All Implemented Interfaces:
  `Serializable`, `Comparable<PublicationSpec.PublicationMode>`, `Constable`

Enclosing class:
  PublicationSpec

public static enum PublicationSpec.PublicationMode extends Enum<PublicationSpec.PublicationMode>
Retrieves the mode of the publication.

This method returns the mode in which the publication is operating, represented by the PublicationMode enum. The mode can either be NEW, indicating a new publication, or UPDATE, indicating an update to an existing publication.

Since:
  6.1.3

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `NEW`
  `UPDATE`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `isUpdateMode()`
  `static PublicationSpec.PublicationMode`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static PublicationSpec.PublicationMode[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### NEW

    public static final PublicationSpec.PublicationMode NEW

  - ### UPDATE

    public static final PublicationSpec.PublicationMode UPDATE

- ## Method Details

  - ### values

    public static PublicationSpec.PublicationMode[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static PublicationSpec.PublicationMode valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### isUpdateMode

    public boolean isUpdateMode()